:: Batch program for TQL
::
:: Copyright (c) 2014 Apelon, Inc. All rights reserved.

::
::   You may set the following variables to pass into the TQL program:
::   HOST, PORT, INSTANCE, USER, PASSWORD, QUERYFILE, OUTFILE, DELIMITER, HEADER, and LOG (optional)
::   If you do not provide any variables, you will be prompted to enter them.
::

cd ..

set HOST=localhost
set PORT=4447
set INSTANCE=dtsjboss
set USER=
set PASSWORD=
set QUERYFILE=demo.tql
set OUTFILE=demobybat.txt
set DELIMITER="|"
set HEADER=Y

call runApp_cw 1024 com.apelon.modules.dts.editor.tql.TQL -host:%HOST% -port:%PORT% -instance:%INSTANCE% -user:%USER% -psw:%PASSWORD% -query:%QUERYFILE% -output:%OUTFILE% -delim:%DELIMITER% -header:%HEADER%
